# Thread_Mutex.cpp File Reference

`#include "ace/Thread_Mutex.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Guard_T.h"`
`#include "ace/Malloc_T.h"`

Include dependency graph for Thread_Mutex.cpp:

This graph shows which files directly or indirectly include this file:

## Detailed Description

Id
  Thread_Mutex.cpp,v 4.7 2005/10/28 23:55:10 ossama Exp

Originally in Synch.cpp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>